### Name: applyByCategory
### Title: Apply a function to a vector of statistics, by category
### Aliases: applyByCategory
### Keywords: manip

### ** Examples

 set.seed(123)
 st = rnorm(20)

 aM = matrix(sample(c(0,1), 60, replace=TRUE), nr=3)
 rownames(aM) = paste("category", 1:3, sep="")
 colnames(aM) = names(st) = paste("g", 1:20, sep="")

 bpg = aM2bpG(aM)

 a1 = applyByCategory(st, aM, median)
 a2 = applyByCategory(st, bpg, median)

 stopifnot( identical(a2, a1) )



