### Name: cateGOry
### Title: Construct a category membership data structure from a list of
###   gene identifiers and their annotated GO categories.
### Aliases: cateGOry
### Keywords: manip

### ** Examples

  g = cateGOry(c("CG2671", "CG2671", "CG2950"),
               c("GO:0000074", "GO:0001738", "GO:0003676"))
  edges(g)[c("GO:0000074",  "GO:0003676", "CG2950")]

  m = cateGOry(c("CG2671", "CG2671", "CG2950"),
               c("GO:0000074", "GO:0001738", "GO:0003676"), sparse=FALSE)

  for(ct in rownames(m))
    stopifnot(edges(g)[[ct]] == names(which(m[ct, ]!=0)))




